package com.zhiwei.manage.service;

import java.util.List;

import com.zhiwei.manage.bean.PageEty;
import com.zhiwei.manage.bean.Template;

public interface TemplateService {

	public boolean insert(Template template);

	public boolean update(Template template);

	/**
	 * 分页查询所有
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param pt
	 * @return
	 */
	public PageEty findAll(int pageNo, int pageSize, String pt);

	/**
	 * 查询所有的模板信息
	 * 
	 * @return
	 */
	public List<Template> findAll();

	/**
	 * 根据id查询模板
	 * 
	 * @param templateId
	 * @param pt
	 * @return
	 */
	public Template findById(String templateId, String pt);

	/**
	 * 根据模板名分页查询模板
	 * 
	 * @param templateName
	 * @param pageNo
	 * @param pageSize
	 * @param pt
	 * @return
	 */
	public PageEty findByTmpName(String templateName, int pageNo, int pageSize, String pt);

	public boolean delete(String templateId, String pt);

}
